Bug 131572 - Add module-info.java to LO jars to improve module support
Summary: Add module-info.java to LO jars to improve module support
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: sdk (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-25 15:06 UTC by Samuel Mehrbrodt (CIB)
Modified: 2020-05-28 06:41 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2020-03-25 15:06:49 UTC
For improved Java Module support we should add a module-info.java to each jar that is to be used by other applications.

See https://openjdk.java.net/projects/jigsaw/quick-start for details.
Comment 1 Commit Notification 2020-05-27 09:41:01 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/941b567a41569260fef14a7337511e8f42337323

tdf#131572 Add java 9 module info for libreoffice.jar

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2020-05-27 09:42:22 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/89cb33dde0c4cd27ca05e31ddea94b7129bc6ebb

tdf#131572 Add java 9 module info for unoloader.jar

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.